Index: branches/DEV_r2006_merge_TRA_TRC/NEMO/TOP_SRC/trcrst.F90
===================================================================
--- branches/DEV_r2006_merge_TRA_TRC/NEMO/TOP_SRC/trcrst.F90	(revision 2023)
+++ branches/DEV_r2006_merge_TRA_TRC/NEMO/TOP_SRC/trcrst.F90	(revision 2038)
@@ -25,5 +25,5 @@
    USE oce_trc
    USE trc
-   USE trctrp_lec
+   USE trcnam_trp
    USE lib_mpp
    USE iom
@@ -33,5 +33,5 @@
    USE trcrst_c14b     ! C14 bomb restart
    USE trcrst_my_trc   ! MY_TRC   restart
-#if defined key_off_tra
+#if defined key_offline
     USE daymod
 #endif
@@ -67,5 +67,5 @@
       !!----------------------------------------------------------------------
       !
-# if ! defined key_off_tra
+# if ! defined key_offline
       IF( kt == nit000 ) lrst_trc = .FALSE. 
 # else
@@ -82,7 +82,7 @@
 # endif
      ! to get better performances with NetCDF format:
-     ! we open and define the tracer restart file one tracer time step before writing the data (-> at nitrst - 2*ndttrc + 1)
-     ! except if we write tracer restart files every tracer time step or if a tracer restart file was writen at nitend - 2*ndttrc + 1
-     IF( kt == nitrst - 2*ndttrc + 1 .OR. nstock == ndttrc .OR. ( kt == nitend - ndttrc + 1 .AND. .NOT. lrst_trc ) ) THEN
+     ! we open and define the tracer restart file one tracer time step before writing the data (-> at nitrst - 2*nn_dttrc + 1)
+     ! except if we write tracer restart files every tracer time step or if a tracer restart file was writen at nitend - 2*nn_dttrc + 1
+     IF( kt == nitrst - 2*nn_dttrc + 1 .OR. nstock == nn_dttrc .OR. ( kt == nitend - nn_dttrc + 1 .AND. .NOT. lrst_trc ) ) THEN
          ! beware of the format used to write kt (default is i8.8, that should be large enough)
          IF( nitrst > 1.0e9 ) THEN   ;   WRITE(clkt,*       ) nitrst
@@ -222,6 +222,6 @@
       !!
       !!   According to namelist parameter nrstdt,
-      !!       nrsttr = 0  no control on the date (nittrc000 is  arbitrary).
-      !!       nrsttr = 1  we verify that nit000 is equal to the last
+      !!       nn_rsttr = 0  no control on the date (nittrc000 is  arbitrary).
+      !!       nn_rsttr = 1  we verify that nit000 is equal to the last
       !!                   time step of previous run + 1.
       !!       In both those options, the  exact duration of the experiment
@@ -230,5 +230,5 @@
       !!       This is valid is the time step has remained constant.
       !!
-      !!       nrsttr = 2  the duration of the experiment in days (adatrj)
+      !!       nn_rsttr = 2  the duration of the experiment in days (adatrj)
       !!                    has been stored in the restart file.
       !!----------------------------------------------------------------------
@@ -237,5 +237,5 @@
       !
       REAL(wp) ::  zkt
-#if defined key_off_tra
+#if defined key_offline
       REAL(wp) ::  zndastp
 #endif
@@ -250,18 +250,18 @@
             WRITE(numout,*) '   previous time-step                               : ', NINT( zkt )
             WRITE(numout,*) ' *** restart option'
-            SELECT CASE ( nrsttr )
-            CASE ( 0 )   ;   WRITE(numout,*) ' nrsttr = 0 : no control of nittrc000'
-            CASE ( 1 )   ;   WRITE(numout,*) ' nrsttr = 1 : no control the date at nit000 (use ndate0 read in the namelist)'
-            CASE ( 2 )   ;   WRITE(numout,*) ' nrsttr = 2 : calendar parameters read in restart'
+            SELECT CASE ( nn_rsttr )
+            CASE ( 0 )   ;   WRITE(numout,*) ' nn_rsttr = 0 : no control of nittrc000'
+            CASE ( 1 )   ;   WRITE(numout,*) ' nn_rsttr = 1 : no control the date at nit000 (use ndate0 read in the namelist)'
+            CASE ( 2 )   ;   WRITE(numout,*) ' nn_rsttr = 2 : calendar parameters read in restart'
             END SELECT
             WRITE(numout,*)
          ENDIF
          ! Control of date 
-         IF( nittrc000  - NINT( zkt ) /= 1 .AND.  nrsttr /= 0 )                                  &
+         IF( nittrc000  - NINT( zkt ) /= 1 .AND.  nn_rsttr /= 0 )                                  &
             &   CALL ctl_stop( ' ===>>>> : problem with nit000 for the restart',                 &
-            &                  ' verify the restart file or rerun with nrsttr = 0 (namelist)' )
-#if defined key_off_tra
+            &                  ' verify the restart file or rerun with nn_rsttr = 0 (namelist)' )
+#if defined key_offline
          ! define ndastp and adatrj
-         IF ( nrsttr == 2 ) THEN
+         IF ( nn_rsttr == 2 ) THEN
             CALL iom_get( numrtr, 'ndastp', zndastp ) 
             ndastp = NINT( zndastp )
@@ -329,5 +329,5 @@
                DO ji = 1, jpi
                   zvol = cvol(ji,jj,jk)
-#  if defined key_off_degrad
+#  if defined key_degrad
                   zvol = zvol * facvol(ji,jj,jk)
 #  endif
